CGAL 6.0.2 - Triangulated Surface Mesh Simplification

Loading...
Searching...
No Matches
List of all members
CGAL::Surface_mesh_simplification::Count_ratio_stop_predicate< TriangleMesh > Class Template Reference
Triangulated Surface Mesh Simplification Reference

`#include <CGAL/Surface_mesh_simplification/Policies/Edge_collapse/Count_ratio_stop_predicate.h>`

## Definition

template<typename TriangleMesh>
class CGAL::Surface_mesh_simplification::Count_ratio_stop_predicate< TriangleMesh >

Deprecated:
  This class is deprecated since CGAL 5.6, the class `Edge_count_ratio_stop_predicate` should be used instead.

The class `Count_ratio_stop_predicate` is a model for the `StopPredicate` concept which returns `true` when the relation between the initial and current number of edges drops below a certain ratio.

Template Parameters

  TriangleMesh | is the type of surface mesh being simplified, and must be a model of the `MutableFaceGraph` and `HalfedgeListGraph` concepts.

Is model of
  `StopPredicate`

See also
  `CGAL::Surface_mesh_simplification::Edge_count_ratio_stop_predicate<TriangleMesh>`
  `CGAL::Surface_mesh_simplification::Face_count_ratio_stop_predicate<TriangleMesh>`

## Creation
| Count_ratio_stop_predicate (const double ratio)
| Initializes the predicate establishing the `ratio`.

## Operations
bool | operator() (const Edge_profile::FT current_cost, const Edge_profile &edge_profile, const Edge_profile::edges_size_type initial_edge_count, const Edge_profile::edges_size_type current_edge_count) const
| Returns `(double(current_edge_count) / double(initial_edge_count)) < ratio`.

## Member Function Documentation

## ◆ operator()()

template<typename TriangleMesh >

bool CGAL::Surface_mesh_simplification::Count_ratio_stop_predicate< TriangleMesh >::operator() | ( | const Edge_profile::FT | current_cost,
|  | const Edge_profile & | edge_profile,
|  | const Edge_profile::edges_size_type | initial_edge_count,
|  | const Edge_profile::edges_size_type | current_edge_count
| ) |  | const

Returns `(double(current_edge_count) / double(initial_edge_count)) < ratio`.

All other parameters are ignored (but exist since this is a generic policy).